import axios from "axios";

export function validateRequest(url, printConsole) {
    let slowRequest = false
    return new Promise(resolve => {
        axios.get(url).then((response) => {
            if (printConsole === true) { console.log("VALIDATE REQUEST\n\nURL: " + url + "\n\n", response.data) }
            slowRequest = true
            resolve(response.data)
        }).catch(function (error) {
            slowRequest = true
            if (error.code === "ERR_BAD_REQUEST") {
                console.error("URL não encontrado \nURL: " + error.config.url + " \n \nwith message: " + error.message)
            } else {
                console.error(error.code + " in " + error.config.url + " with message: " + error.message)
            }
        });

        setTimeout(() => {
            if (slowRequest === false) { console.error("Request de URL: " + url + " excedeu o tempo esperado") }
        }, 20000);
    })
}